Toggle Status
Toggle the status of a conversation. Pass status to explicitly set the
conversation state. Use snoozed along with snoozed_until to snooze a
conversation until a specific time. If snoozed_until is omitted, the
conversation is snoozed until the next reply from the contact. Regardless
of the value provided, snoozed conversations always reopen on the next
reply from the contact.
AuthorizationBearer <token>Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
account_id*integerThe numeric ID of the account
conversation_id*integerThe numeric ID of the conversation
application/json- body
status*stringThe status of the conversation
"open""resolved""pending""snoozed"snoozed_until?numberWhen status is snoozed, schedule the reopen time as a Unix timestamp in seconds. If not provided, the conversation is snoozed until the next customer reply. The conversation always reopens when the customer replies.
Success
application/json- response
meta?payload?curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/conversations/0/toggle_status' \ -H 'Content-Type: application/json' \ -d '{ "status": "open"}'{ "meta": {}, "payload": { "success": true, "current_status": "open", "conversation_id": 0 }}